Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/11/2018, à 14:31

Chris3375

[résolu] Souci PHP avec LAMP

Bonjour à tous,

Je rencontre un souci d'installation avec LAMP ; j'ai suivi le tuto indiqué ICI et à la fin, quand je mets un fichier pour m'indiquer un phpinfo(), j'ai une page blanche ; mon fichier est nommé test.php et je l'ai mis dans /var/www/HTML ; je tape : localhost/test.php et ma page est blanche.
C'est peut etre aussi à cause de cela que quand je lance localhost/phpmyadmin, j'ai une jolie page qui s'affiche et qui est rempli de code php !

J'ai désinstallé et réinstallé mais rien n'y fait, j'ai toujours ce problème avec PHP vraisemblablement. Donc là, je sèche.

Merci d'avance pour votre aide

Chris

Dernière modification par krodelabestiole (Le 11/11/2018, à 15:38)

Hors ligne

#2 Le 06/11/2018, à 15:24

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

modération : déplacement de Installation de logiciels et changements de version vers Serveurs

page blanche :
https://doc.ubuntu-fr.org/php#page_blanche

code php visible dans le navigateur :
https://doc.ubuntu-fr.org/php#code_sour … navigateur

Hors ligne

#3 Le 06/11/2018, à 17:20

Chris3375

Re : [résolu] Souci PHP avec LAMP

Bonjour,

Merci pour les liens qui vont bien me servir afin de me dépanner et toutes mes excuses pour ne pas avoir mis mon post au bon endroit  sad
Merci encore

Chris

Hors ligne

#4 Le 06/11/2018, à 21:24

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

pas de souci, c'est surtout pour que ton sujet trouve plus facilement des utilisateurs qui s'y connaissent

hésite pas si la doc ne suffit pas à résoudre le problème ou si tu as des questions

Hors ligne

#5 Le 07/11/2018, à 21:51

Chris3375

Re : [résolu] Souci PHP avec LAMP

OK merci c'est gentil.
J'ai fait exactement ce que préconisent les deux articles mon souci est le même sad
La première fois que j'ai tout installé, totu s'est bien passé et puis suite à une installation de Wordpress qui ne s'est pas bien déroulée, j'ai tout désinstallé ; et depuis, pas moyen de réinstaller ; Apache va bien puisque j'ai bien le "It Works' à la fin de l'installation mais PHP me pose un souci et donc forcément, PhpMyAdmin m'affiche toujours  cette page de code PHP.
Je ne voudrais quand même pas être obligé de réinstaller ubuntu à cause de ça....

Donc, s'il y a une autre piste je suis preneur car au point ou j'en suis..... Là j'avoue que je ne comprends plus..

A titre d'info, je poste le résultat de la commande : apt list \*php\* | grep install
Et apparemment, je n'ai pas de conflit de version de PHP

christophe@christophe-Linux:~$ apt list \*php\* | grep install

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libapache2-mod-php7.2/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php-bz2/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé, automatique]
php-common/bionic,bionic,now 1:60ubuntu1 all  [installé, automatique]
php-pear/bionic,bionic,now 1:1.10.5+submodules+notgz-1ubuntu1 all  [installé, automatique]
php-php-gettext/bionic,bionic,now 1.0.12-0.1 all  [installé, automatique]
php-phpseclib/bionic,bionic,now 2.0.9-1 all  [installé, automatique]
php-tcpdf/bionic,bionic,now 6.2.13+dfsg-1ubuntu1 all  [installé, automatique]
php7.2/bionic-updates,bionic-updates,bionic-security,bionic-security,now 7.2.10-0ubuntu0.18.04.1 all  [installé, automatique]
php7.2-bz2/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-cli/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-common/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-curl/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-gd/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-intl/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64 [installé, pouvant être supprimé automatiquement]
php7.2-json/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-mbstring/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-mysql/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-opcache/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-readline/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-xml/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-zip/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
phpmyadmin/bionic,bionic,now 4:4.6.6-5 all  [installé]
christophe@christophe-Linux:~$

Merci
Chris
PS : Toutes mes excuses mais je ne sais pas comment insérer la console dans un post sad

Hors ligne

#6 Le 07/11/2018, à 22:05

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

[code]tu mets ton texte là[/code]

(il y a un bouton <> bleu pour faire ça automatiquement)

est-ce que ton code php (qui doit probablement ressembler à <?php phpinfo(); ?>) apparaît quand tu affiches le code source de ta page (clic droit -> code source de la page sur firefox)

si c'est le cas ton seul et unique problème est que php n'est pas interprété.

que donne cette commande :

sudo a2enmod php7.2

Dernière modification par krodelabestiole (Le 07/11/2018, à 22:06)

Hors ligne

#7 Le 07/11/2018, à 22:10

xubu1957

Re : [résolu] Souci PHP avec LAMP

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message #5 :

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1530289742.png

comme indiqué dans le : Retour utilisable de commande

_ _ _

alca94 a écrit :

1539072593.png

Dernière modification par xubu1957 (Le 07/11/2018, à 22:29)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#8 Le 07/11/2018, à 22:25

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :
[code]tu mets ton texte là[/code]

(il y a un bouton <> bleu pour faire ça automatiquement)

OK; merci beaucoup pour l'info

est-ce que ton code php (qui doit probablement ressembler à <?php phpinfo(); ?>) apparaît quand tu affiches le code source de ta page (clic droit -> code source de la page sur firefox)

si c'est le cas ton seul et unique problème est que php n'est pas interprété.


Je suis intimement convaincu qu'effectivement le PHP n'est pas interprété car ma page <? php phpinfo(); ?> est vierge quand je la lance.

que donne cette commande :

sudo a2enmod php7.2

Cette commande me retourne : ERROR: Module php7.2 does not exist!
Je ne comprends plus rien !

En tout cas, merci de ton aide

Hors ligne

#9 Le 07/11/2018, à 22:27

Chris3375

Re : [résolu] Souci PHP avec LAMP

xubu1957 a écrit :

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message #5 :

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

http://pix.tdct.org/upload/img/1530289742.png

comme indiqué dans le : Retour utilisable de commande

Bonjour,

Merci beaucoup pour les manipulations smile

Bonne soirée

Hors ligne

#10 Le 07/11/2018, à 22:29

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

essaie de réinstaller libapache2-mod-php :

sudo apt remove libapache2-mod-php7.2
sudo apt install libapache2-mod-php
sudo a2enmod php7.2

Hors ligne

#11 Le 07/11/2018, à 22:32

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

Chris3375 a écrit :

car ma page <? php phpinfo(); ?> est vierge quand je la lance.

mouais la question porte sur le code source de la page
ton navigateur cherche à l'interpreter comme du xml / html à l'affichage...

si ton code source est vierge tu as probablement une erreur, si il y a du code php on sait où est le probème
mais à l'affichage ça peut avoir l'air vierge quand même

Hors ligne

#12 Le 07/11/2018, à 22:36

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :

essaie de réinstaller libapache2-mod-php :

sudo apt remove libapache2-mod-php7.2
sudo apt install libapache2-mod-php
sudo a2enmod php7.2

C'est fait mais quand je regarde la dernière ligne de l'install de libapache2, jai apparemment une erreur.
Je te mets le résultat au cas ou cela te parlerait

christophe@christophe-Linux:~$ sudo apt install libapache2-mod-php
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  libapache2-mod-php7.2
Les NOUVEAUX paquets suivants seront installés :
  libapache2-mod-php libapache2-mod-php7.2
0 mis à jour, 2 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de prendre 0 o/1352 ko dans les archives.
Après cette opération, 4806 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Sélection du paquet libapache2-mod-php7.2 précédemment désélectionné.
(Lecture de la base de données... 183364 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libapache2-mod-php7.2_7.2.10-0ubuntu0.18.04.1_amd64.deb ...
Dépaquetage de libapache2-mod-php7.2 (7.2.10-0ubuntu0.18.04.1) ...
Sélection du paquet libapache2-mod-php précédemment désélectionné.
Préparation du dépaquetage de .../libapache2-mod-php_1%3a7.2+60ubuntu1_all.deb ...
Dépaquetage de libapache2-mod-php (1:7.2+60ubuntu1) ...
Paramétrage de libapache2-mod-php7.2 (7.2.10-0ubuntu0.18.04.1) ...
Module mpm_event disabled.
Enabling module mpm_prefork.
apache2_switch_mpm Switch to prefork
dpkg: erreur de traitement du paquet libapache2-mod-php7.2 (--configure) :
 installed libapache2-mod-php7.2 package post-installation script subprocess returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)
christophe@christophe-Linux:~$ sudo a2enmod php7.2
ERROR: Module php7.2 does not exist!
christophe@christophe-Linux:~$ 

Merci

PS : Je viens d'avoir à l'instant une fenêtre m'indiquant une erreur logiciel qui concerne le paquet PHP7.2 ; j'ai envoyé le rapport mais bon....
Cela confirme bien mon souci....

Dernière modification par Chris3375 (Le 07/11/2018, à 22:38)

Hors ligne

#13 Le 08/11/2018, à 06:57

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

Chris3375 a écrit :
dpkg: erreur de traitement du paquet libapache2-mod-php7.2 (--configure) :
 installed libapache2-mod-php7.2 package post-installation script subprocess returned error exit status 1

effectivement tu as une erreur malheureusement pas très bavarde.

on peut essayer de désinstaller et réinstaller complètement tout ce qui concerne php :

sudo apt autoremove --purge \*php\*
sudo mv /etc/php /etc/php_bak
sudo apt clean
sudo apt update
sudo apt install php libapache2-mod-php php-mysql
sudo apt install php-curl php-gd php-intl php-json php-mbstring php-xml php-zip
sudo apt install phpmyadmin

si tu rencontres un message d'erreur pendant une de ces opérations arrête-toi et colle le ici.

Hors ligne

#14 Le 08/11/2018, à 08:27

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :
Chris3375 a écrit :
dpkg: erreur de traitement du paquet libapache2-mod-php7.2 (--configure) :
 installed libapache2-mod-php7.2 package post-installation script subprocess returned error exit status 1

effectivement tu as une erreur malheureusement pas très bavarde.

on peut essayer de désinstaller et réinstaller complètement tout ce qui concerne php :

sudo apt autoremove --purge \*php\*
sudo mv /etc/php /etc/php_bak
sudo apt clean
sudo apt update
sudo apt install php libapache2-mod-php php-mysql
sudo apt install php-curl php-gd php-intl php-json php-mbstring php-xml php-zip
sudo apt install phpmyadmin

si tu rencontres un message d'erreur pendant une de ces opérations arrête-toi et colle le ici.

Bonjour Krodelabestiole,

Merci beaucoup pour ton aide.
Je vais suivre tes instructions et vais faire ça ce soir en rentrant chez moi car là je suis au boulot et n'ai pas mon Ubuntu !
Je te tiens informé ; et merci encore
Bonne journée

Hors ligne

#15 Le 08/11/2018, à 19:56

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :
Chris3375 a écrit :
dpkg: erreur de traitement du paquet libapache2-mod-php7.2 (--configure) :
 installed libapache2-mod-php7.2 package post-installation script subprocess returned error exit status 1

effectivement tu as une erreur malheureusement pas très bavarde.

on peut essayer de désinstaller et réinstaller complètement tout ce qui concerne php :

sudo apt autoremove --purge \*php\*
sudo mv /etc/php /etc/php_bak
sudo apt clean
sudo apt update
sudo apt install php libapache2-mod-php php-mysql
sudo apt install php-curl php-gd php-intl php-json php-mbstring php-xml php-zip
sudo apt install phpmyadmin

si tu rencontres un message d'erreur pendant une de ces opérations arrête-toi et colle le ici.

Bonsoir,
Après avoir bien respecté tes instructions, ça a bloqué à l'install de PhpMyAdmin ; je te mets l'erreur ci-dessous

┌──────────────────────┤ Configuration de phpmyadmin ├──────────────────────┐
 │                                                                           │ 
 │ Une erreur s'est produite lors de la création de la base de données.        
 │                                                                             
 │ mysql said: ERROR 1819 (HY000) at line 1: Your password does not satisfy    
 │ the current policy requirements                                             
 │                                                                             
 │ Vos possibilités sont:                                                      
 │  * abandonner - Provoque l'échec de l'opération; vous devrez revenir à      
 │    l'ancienne version, reinstaller, reconfigurer ce paquet, ou sinon        
 │    faites-le à la main, pour continuer à l'utiliser.                        
 │    Cela impacte le plus souvent la possibilité d'installer d'autres         
 │    paquets tant que l'échec de l'installation n'est pas résolu.             
 │  * réessayer - Pose à nouveau toutes les questions relatives à              
 │    l'installation (en incluant celles que vous pourriez avoir manqué        
 │                                                                             
 │                                  <Ok>                                       
 │                                                                           │ 
 └───────────────────────────────────────────────────────────────────────────┘ 
                                                                               

En plus, ce qui me surprends c'est qu'à l'installation de MySql Server, il ne m'a pas demandé de mot passe.
Voilà ou j'ne suis ce soir et ça commence à me chauffer ce truc ! smile

Si jamais cette erreur te disait quelque chose....
Merci

Hors ligne

#16 Le 08/11/2018, à 21:00

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

ok on va laisser phpmyadmin de côté pour le moment.

ça donne quoi ton phpinfo ?

Hors ligne

#17 Le 08/11/2018, à 22:09

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :

ok on va laisser phpmyadmin de côté pour le moment.

ça donne quoi ton phpinfo ?

C'est nickel ! smile
J'ai bien l'affichage PHP Version 7.2.10-0ubuntu0.18.04.1 et totu ce qu'il faut plus bas.
Merci beaucoup !
La preuve en image !
Resultat

Il ne me reste plus que ce problème avec PhpMyAdmin..

Dernière modification par Chris3375 (Le 08/11/2018, à 22:37)

Hors ligne

#18 Le 09/11/2018, à 08:20

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

Chris3375 a écrit :

En plus, ce qui me surprends c'est qu'à l'installation de MySql Server, il ne m'a pas demandé de mot passe.

c'est parfaitement normal : https://doc.ubuntu-fr.org/phpmyadmin#acces_root
depuis bionic le compte root s'identifie via sudo (donc le compte root unix), pas via mot de passe.

par contre j'ai jamais vu le cadre que tu as collé. tu as fais quelque chose de particulier pour en arriver là ?
tu as qu'à rentrer un mot de passe plus complexe, de toute façon il ne servira à rien.

pour créer un "super admin" il faut de toute façon créer un nouveau compte, je te renvoie à la doc ci-dessus.

Hors ligne

#19 Le 09/11/2018, à 23:39

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :

par contre j'ai jamais vu le cadre que tu as collé. tu as fais quelque chose de particulier pour en arriver là ?

Bonsoir krodelabestiole,
Je ne comprends pas le sens de ta phrase ; de quel cadre tu parles ? Ou alors j'ai loupé un épisode...:(

Concrètement, j'ai fait tout ce que tu m'as indiqué et tout s'est bien passé à l'exception de PhpMyAdmin ou j'ai toujours la page de code qui s'affiche que je le lance.

Apache et PHP, c'est tout bon ; j'ai posté une capture d'écran de mon phpinfo() qui maintenant s'affiche ! smile
Déjà pour tout ça, je voulais vraiment te remercier.

Si j'arrive à récupérer PhpMyadmin, ce sera top ! ; je verrai demain car ce soir je sui un peu crevé et je pense que je n'arriverai à rien de bon.

Merci aussi pour ton lien sur la doc sur le compte root que je vais potasser aussi demain.
Pour info, MySql fonctionne bien vu que je m'y connecte et que je peux créer une base; je viens de tester et c'est bon ; en faisant un "show databases;" lla base que je viens de créer est visible.
Par contre, je préfère quand même passer par PhpMyAdmin car c'est quand même plus confortable !:)
J'attends demain, j'y verrai plus clair.

Merci encore
Bonne soirée

Hors ligne

#20 Le 11/11/2018, à 14:58

Chris3375

Re : [résolu] Souci PHP avec LAMP

Bonjour,

Juste pour info, mon souci est résolu.
Après avoir tout désinstallé en suivant tes conseils, il m'a suffit de me rendre ICI pour récupérer la dernière version et tout est rentré dans l'ordre.
Mon PHPMyAdmin refonctionne à merveille tout comme MySql.

Merci encore pour ton aide
Par contre, je ne trouve pas comment je peux passer ce post en "Resolu".

Chris

Hors ligne

#21 Le 11/11/2018, à 15:39

krodelabestiole

Re : [résolu] Souci PHP avec LAMP

il faut éditer ton premier message pour changer le sujet (je l'ai fait)

Hors ligne

#22 Le 11/11/2018, à 17:33

Chris3375

Re : [résolu] Souci PHP avec LAMP

krodelabestiole a écrit :

il faut éditer ton premier message pour changer le sujet (je l'ai fait)

Merci  smile

Hors ligne